#!/bin/sh

# This is a shell script fragment (i.e., intended to be .'d in) that
# ensure that the current directory is checked out.  If the directory
# is not checked out, it prompts the user to see if s/he wants to 
# check it out.

DIR_TYPE="`cleartool describe -fmt '%m' .`"
if [ "$DIR_TYPE" != "directory version" ]; then
    clearprompt proceed -type error -mask abort -default abort \
		-prompt "Current directory is not a VOB \
directory; can not perform this operation."
    exit 1
fi

DIR_CO="`cleartool lscheckout -cview -short -directory .`"
if [ "$DIR_CO" = "" ]; then
    clearprompt yes_no \
            -type warning -def yes -mask yes,no \
            -prompt "\
This operation requires that the current directory be checked out, 
but the directory is not checked out; check it out now?" 
    if [ $? != 0 ]; then
        exit 1
    fi

    cleargui checkout .
    # cleargui checkout's status value is the number of successful checkouts
    if [ $? != 1 ]; then
        exit 1
    fi
fi

exit 0
